package app.brest.testmin3d;

import android.content.Intent;
import android.graphics.Point;
import android.os.Bundle;
import android.support.design.widget.FloatingActionButton;
import android.support.design.widget.Snackbar;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.Toolbar;
import android.view.Display;
import android.view.View;
import android.widget.ImageButton;
import android.widget.LinearLayout;

import app.brest.testmin3d.R;
import app.brest.utils.Settings;
import app.brest.utils.app.brest.game.Game;

public class MenuActivity extends AppCompatActivity {
    protected Game mGame;
    protected ImageButton mICarte;
    protected ImageButton mIInventaire;
    protected ImageButton mIOptions;
    protected ImageButton mIScanner;


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_menu);

        Display display = getWindowManager().getDefaultDisplay();
        Point size = new Point();
        display.getSize(size);
        int width = size.x;
        int height = size.y;
        int buttonHieght = (height-4*40)/5;
        mICarte = (ImageButton) findViewById(R.id.ib_carte);
        mIInventaire = (ImageButton) findViewById(R.id.ib_inventaire);
        mIOptions = (ImageButton) findViewById(R.id.ib_options);
        mIScanner = (ImageButton) findViewById(R.id.ib_scanner);

        mICarte.setLayoutParams(new LinearLayout.LayoutParams(buttonHieght, buttonHieght));
        mIInventaire.setLayoutParams(new LinearLayout.LayoutParams(buttonHieght, buttonHieght));
        mIOptions.setLayoutParams(new LinearLayout.LayoutParams(buttonHieght, buttonHieght));
        mIScanner.setLayoutParams(new LinearLayout.LayoutParams(buttonHieght, buttonHieght));

        Game g = null;//Game.load(this);

        if (g!= null && mGame==null) {
            mGame = g;
            mGame.newSensorManager(this);
        }
        else if( mGame==null)
        {
            mGame = new Game("game_medium", this);

        }else if( mGame==null)
        {
            throw new Error("Le jeu n'est pas sauvegardé");
        }
    }


    public void onOptionsClick(View v)
    {
        Intent intent = new Intent(this, SettingsActivity.class);
        intent.putExtra("game", mGame);
        startActivity(intent);
    }


    public void onCarteClick(View v)
    {
        Intent intent = new Intent(this, ViewerActivity.class);
        intent.putExtra("map", mGame.getName()+"_map");
        startActivity(intent);
    }


    public void onScannerClick(View v)
    {
        Intent intent = new Intent(this, ARActivity.class);
        intent.putExtra("game", mGame);
        startActivity(intent);
    }


    public void onInventaireClick(View v)
    {
        Intent intent = new Intent(this, ResourceListActivity.class);
        intent.putExtra("game", mGame);
        startActivity(intent);
    }



}
